View Issue Details

IDProjectCategoryView StatusLast Update
0003141SOGosogo-toolpublic2016-06-27 14:41
ReporterChristian Reischl Assigned Toludovic  
PriorityhighSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version3.1.4 
Summary0003141: Function to delete old events except repeating ones
Description

Lightning slows down Thunderbirds startup and freezes its UI when large calendars are used. Reducing the size of a calendar speeds things up a lot. Usually most past events are useless and can be deleted safely except repeating ones. It can be a huge task to do that manually.

A Calendar cleanup feature for sogo-tool would be very nice. It even could be included in scripts to automate that task then.

Tagscalender, sogo-tool

Relationships

related to 0001513 resolvedjraby add sogo-tool the ability to truncate calendar 

Activities

ludovic

ludovic

2016-06-27 14:23

administrator   ~0010438

Last edited: 2016-06-27 14:41

Also in 2.3.13.

https://github.com/inverse-inc/sogo/commit/323f5d03bf630ffbee4eeeda24d4fe5abc2c4fd2

and 4bc262503aa36605c80ad3cb4db4c05a0aba10cb

Issue History

Date Modified Username Field Change
2015-03-21 13:03 Christian Reischl New Issue
2015-03-21 13:03 Christian Reischl Tag Attached: calender
2015-03-21 13:03 Christian Reischl Tag Attached: sogo-tool
2016-01-06 13:39 francis Relationship added related to 0001513
2016-06-27 14:23 ludovic Note Added: 0010438
2016-06-27 14:23 ludovic Status new => resolved
2016-06-27 14:23 ludovic Fixed in Version => 3.1.4
2016-06-27 14:23 ludovic Resolution open => fixed
2016-06-27 14:23 ludovic Assigned To => ludovic
2016-06-27 14:41 ludovic Note Edited: 0010438